<?php

/************** Includes **********************************/
require_once '../../config.php';
require_once DIRLIBCOMP . 'SPDO.php';
$conexion = new SPDO(BDENGINE, BDHOST, BDDATABASE, BDUSER, BDPASS);

$localizador = $_POST['localizador'];
$precio      = 0;

//Obtenemos el precio del localizador desde la bbdd filtrando por el id_pedido pasado en Base64
$sql_localizador = "SELECT l.total
                    FROM localizadores l
                    WHERE l.localizador = :localizador "; 
               
$result_localizador = $conexion->prepare($sql_localizador);
$result_localizador->execute(array(
    ':localizador' => $localizador
));

if ($result_localizador->rowCount() > 0) {
    $row_localidor = $result_localizador->fetch(PDO::FETCH_ASSOC);
    $precio        = $row_localidor['total'];
}

if ($precio == 0){
    $respuesta = array("", "");
    echo json_encode($respuesta);
    die;
}

$importe = sprintf('%0.2f', $precio);

// Modificamos en BD el Importe de la tabla Redsys
$sql_update_paypal    = "UPDATE Paypal set mc_gross = ? WHERE localizador = ?";
$result_update_paypal = $conexion->prepare($sql_update_paypal);
$result_update_paypal->execute(array($importe, $localizador));

?>